# Class MessageRole

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents the message role.

    public static class MessageRole

Inheritance
  object
  MessageRole

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Fields

### Assistant

Represents the assistant role.

    public const string Assistant = "assistant"

#### Field Value

string

### User

Represents the user role.

    public const string User = "user"

#### Field Value

string